git-annex-shell(1)

NAME
git-annex-shell - Restricted login shell for git-annex only SSH access

SYNOPSIS
git-annex-shell [-c] command [params ...]

DESCRIPTION
git-annex-shell is a restricted shell, similar to git-shell, which can be used as a login shell for SSH accounts.

Since its syntax is identical to git-shell's, it can be used as a drop-in replacement anywhere git-shell is used. For example it can be used as a user's restricted login shell.

COMMANDS
Any command not listed below is passed through to git-shell.

configlist directory
    This outputs a subset of the git configuration, in the same form as git config --list

inannex directory [key ...]
    This checks if all specified keys are present in the annex, and exits zero if so.

dropkey directory [key ...]
    This drops the annexed data for the specified keys.

recvkey directory key
    This runs rsync in server mode to receive the content of a key, and stores the content in the annex.

sendkey directory key
    This runs rsync in server mode to transfer out the content of a key.

OPTIONS
Same as git-annex or git-shell, depending on the command being run.

Note that the directory parameter should be an absolute path, otherwise it is assumed to be relative to the user's home directory. Also the first "/~/" or "/~user/" is expanded to the specified home directory.

SEE ALSO
git-annex(1)

git-shell(1)

AUTHOR
Joey Hess <joey@kitenet.net>

<http://git-annex.branchable.com/>